
%define module skanpage

Summary:        Utility to scan images and multi-page documents
Name:           skanpage
Version: 23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
URL:            https://apps.kde.org/skanpage/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{module}-%{version}.tar.xz
Patch0:         skanpage-set-CMAKE_CXX_FLAGS.patch

BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(lept)
BuildRequires:  pkgconfig(tesseract)

%description
Skanpage is a simple scanning application designed for multi-page
scanning and saving of documents and images.

Features:

  ° Scanning from flatbed and ADF scanners
  ° Configurable options for scanning device
  ° Reordering, rotation and deletion of scanned pages
  ° Saving to multi-page PDF documents and image files

%files -f %{name}.lang
%{_kf5_categoriesdir}/%{name}.categories
%{_kf5_bindir}/%{name}
%{_kf5_applicationdir}/org.kde.%{name}.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml

#--------------------------------------------------------------------

%prep
%setup -q -n %module-%version
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

